Get agreement for elastic template
Gets the agreement specified by agreementId.
Required authentication scopes: click.manage or click.send.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
The external account number (int) or account ID GUID.
Response
The external account number (int) or account ID GUID.
Date that the client last completed the agreement.
This property is null if agreementUrl is not null and status is not agreed.
When not null, an agreement is required for user specified by clientUserId.
When missing the user specified by clientUserId
has already agreed and does not require a new acceptance.
Use this URL to render the agreement in a web page.
A unique value that identifies a user.
You can use anything that your system uses
to identify unique users, such as
employee IDs, email addresses, and surrogate keys as the value of clientUserId.
An elastic signing agreement with a specific clientUserId will not appear again
once it has been accepted.
True if consumer disclosure was required by this agreement.
The customer-branded HTML with the Electronic Record and Signature Disclosure information
An array of dataField objects.
The date when the user declined the most recent required agreement.
This property is valid only when status is declined. Otherwise it is null.
This property specifies the data used to create an elastic template with dynamic content.
A customer-defined string you can use in requests. This string will appear in the corresponding response.
User agreement status. One of:
createdagreeddeclined
This property specifies the custom style provided when the agreement was created by customizing the template appearance.
The human-readable semver version string.
Human-readable version number. For example 1.2.